Loading...
Searching...
No Matches
kip.h File Reference
Utility Functions » Kernel Interface Page API
`#include <l4/sys/kip.h>`
`#include <l4/sys/compiler.h>`
Include dependency graph for kip.h:

Go to the source code of this file.

## Macros

#define | l4util_kip_for_each_feature(s)
| Cycle through kernel features given in the KIP.

## Functions

L4_BEGIN_DECLS int | l4util_kip_kernel_has_feature (l4_kernel_info_t const *k, char const *str)
| Check if kernel supports a feature.
unsigned long | l4util_kip_kernel_abi_version (l4_kernel_info_t const *k)
| Return kernel ABI version.